Page MenuHomePhabricator

[opaque pointer types] Remove deprecated Instruction/IRBuilder APIs.
ClosedPublic

Authored by efriedma on Mar 16 2020, 10:43 PM.

Details

Summary

Removes deprecated overloads of LoadInst constructor, CallInst::Create, InvokeInst::Create, IRBuilder::CreateCall, IRBuilder::CreateInvoke. (Leaving around deprecated IRBuilder::CreateLoad for now.)

Diff Detail

Event Timeline

efriedma created this revision.Mar 16 2020, 10:43 PM
Herald added a project: Restricted Project. · View Herald Transcript

Probably worth committing the fixes separately from the API removal (so if the removal has to be rolled back the fixes can be left as-is). @t.p.northover - any thoughts on the removal?

efriedma updated this revision to Diff 254971.Apr 3 2020, 6:03 PM

Commited the non-header changes separately

Herald added a project: Restricted Project. · View Herald TranscriptApr 3 2020, 6:03 PM
dblaikie accepted this revision.Apr 9 2020, 12:53 PM

Sounds good - thanks!

This revision is now accepted and ready to land.Apr 9 2020, 12:53 PM
This revision was automatically updated to reflect the committed changes.